global:
  registry: docker.io
  repository: freeleaps
  nodeSelector: {}
dashboard:
  enabled: false
  name: magicleaps-authentication-prod-dashboard
  title: MagicLeaps Authentication Service Dashboard (Production)
  metricsPrefix: magicleaps_authentication
logIngest:
  enabled: true
  lokiEndpoint: http://loki-gateway.magicleaps-logging-system
  logPathPattern: /app/log/authentication/*.log
  logPath: /app/log/authentication
authentication:
  replicas: 1
  image:
    registry: docker.io
    repository: null
    name: authentication
    tag: snapshot-c406f6d
    imagePullPolicy: IfNotPresent
  ports:
  - name: http
    containerPort: 8015
    protocol: TCP
  resources:
    requests:
      cpu: 100m
      memory: 128Mi
    limits:
      cpu: 500m
      memory: 512Mi
  probes:
    readiness:
      type: httpGet
      config:
        path: /api/_/readyz
        port: 8015
        initialDelaySeconds: 5
        periodSeconds: 30
        timeoutSeconds: 3
        successThreshold: 1
        failureThreshold: 3
    liveness:
      type: httpGet
      config:
        path: /api/_/livez
        port: 8015
        initialDelaySeconds: 5
        periodSeconds: 15
        timeoutSeconds: 3
        successThreshold: 1
        failureThreshold: 3
        terminationGracePeriodSeconds: 30
  services:
  - name: magicleaps-authentication-prod-service
    type: ClusterIP
    port: 8015
    targetPort: 8015
    serviceMonitor:
      enabled: false
  ingresses:
  - name: magicleaps-authentication-prod-ingress
    host: authentication.prod.magicleaps.mathmast.com
    class: nginx
    rules:
    - path: /
      pathType: Prefix
      backend:
        service:
          name: magicleaps-authentication-prod-service
          port:
            number: 8015
    tls:
      exists: false
      issuerRef:
        name: mathmast-dot-com
        kind: ClusterIssuer
      name: magicleaps-authentication-prod-ingress-tls
  configs:
    tz: America/Settle
    appName: magicleaps-authentication
    devsvcWebapiUrlBase: http://devsvc-service.freeleaps-prod.svc.freeleaps.cluster:8007/api/devsvc/
    notificationWebapiUrlBase: http://notification-service.freeleaps-prod.svc.freeleaps.cluster:8003/api/notification/
    jwtAlgorithm: HS256
    serviceApiAccessHost: 0.0.0.0
    serviceApiAccessPort: 8015
    mongodbName: interview
    mongodbPort: 27017
    metricsEnabled: 'false'
    probesEnabled: 'true'
  secrets:
      secretStoreRef:
        kind: FreeleapsSecretStore
        name: freeleaps-main-secret-store
      target:
        name: "magicleaps-authentication-prod-secrets"
        creationPolicy: "Owner"
      refreshInterval: 30s
      data:
        - key: jwtSecretKey
          remoteRef:
            key: "magicleaps-prod-jwt-secret-key"
            type: Secret
        - key: mongodbUri
          remoteRef:
            key: "magicleaps-prod-mongodb-uri"
            type: Secret
  vpa:
    minAllowed:
      enabled: false
      cpu: 200m
      memory: 128Mi
    maxAllowed:
      enabled: true
      cpu: 200m
      memory: 512Mi
    controlledResources:
    - cpu
    - memory
